<?php

$r="../";
$titlepage = 'Slider Inicio';
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);
validNotSession($r);


if(isset($_POST['eliminar'])){
    $mysqli->query("DELETE FROM `z_slider_home` WHERE `id`= {$_POST['eliminar']}");
    echo 'La diapositiva se a elminado' ;
    exit();
}

if(isset($_POST['actionmodal'])){
    $actionmodal = $_POST['actionmodal'];
    $titulo = $_POST['titulo'];
    $texto = $_POST['texto'];
    $text_boton = $_POST['text_boton'];
    $url_boton = $_POST['url_boton'];
    if(empty($actionmodal)){
        
        if(empty($titulo)){
            mensaje('error' , 'El Titulo etsa vacio');
        }
        if(isset($_FILES["imagen"]) && $_FILES["imagen"]["error"] == UPLOAD_ERR_OK) {
            // Verificar si el archivo es una imagen
            $check = getimagesize($_FILES["imagen"]["tmp_name"]);
            if($check !== false) {
                // El archivo es una imagen
                // Puedes procesar el archivo aquí, por ejemplo, moverlo a un directorio específico
                $targetDir = "../../img/slides/";
                $targetFile = $targetDir . basename($_FILES["imagen"]["name"]);
                if (move_uploaded_file($_FILES["imagen"]["tmp_name"], $targetFile)) {
                    ;$urlimg = "img/slides/" . basename($_FILES["imagen"]["name"]);
                } else {
                    mensaje("error" , "Hubo un error al cargar la imagen.");
                }
            } else {
                mensaje("error" , "El archivo no es una imagen válida.");
                
            }
        } else {
            mensaje("error" , "No se ha cargado ninguna imagen o ha ocurrido un error durante la carga.");
            
        }
        $mysqli->query("INSERT INTO `z_slider_home`(`titulo`, `texto`, `boton`, `url_boton`, `bg_slider`) VALUES ('$titulo','$texto','$text_boton','$url_boton','$urlimg')");
        mensaje("exitoso" , "Diapositvia se a creado");
    }else{
        echo 'Se Actualizado '.print_r($_FILES['imagen']);
        exit();
    }
}

function mensaje($estado , $mensaje){
    $response["estado"] = $estado;
    $response["mensaje"] = $mensaje;
    header('Content-Type: application/json');
    echo json_encode($response);
    exit();
}

